Skip to main content
`Ctrl`+`K`

# scipy.special.eval_genlaguerre

scipy.special.eval_genlaguerre(n, alpha, x, out=None) = <ufunc 'eval_genlaguerre'>

  Evaluate generalized Laguerre polynomial at a point.

  The generalized Laguerre polynomials can be defined via the confluent hypergeometric function \({}_1F_1\) as

  \[L_n^{(\alpha)}(x) = \binom{n + \alpha}{n} {}_1F_1(-n, \alpha + 1, x).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\). See 22.5.54 in [AS] for details. The Laguerre polynomials are the special case where \(\alpha = 0\).

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer, the result is determined via the relation to the confluent hypergeometric function.

    alpha array_like

      Parameter; must have `alpha > -1`

    x array_like

      Points at which to evaluate the generalized Laguerre polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    L scalar or ndarray

      Values of the generalized Laguerre polynomial

  See also

  `roots_genlaguerre`

    roots and quadrature weights of generalized Laguerre polynomials

  `genlaguerre`

    generalized Laguerre polynomial object

  `hyp1f1`

    confluent hypergeometric function

  `eval_laguerre`

    evaluate Laguerre polynomials

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.